> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-platform/6/api-reference/guides/use-query-parameters-in-api-requests/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Use query parameters in API requests > Reference for the query parameters supported in Itential Platform GET requests, including filtering, sorting, pagination, and projection. Query parameters in Itential Platform are a defined set of parameters attached to the end of a `GET` request. They allow you to sort and filter data from APIs, or to implement pagination of large datasets. Not all query parameters are supported in all `GET` requests. ## Potential use case You can use a pagination value to return more than 25 results in an API call — for example, when your environment has more than 25 adapters: ``` GET health/adapters?limit=100 ``` ## Query parameters The following is a non-exhaustive list of query parameters supported in several `GET` calls. To append query parameters to the end of a `GET` call, add a `?` followed immediately by the parameter. | Query parameter | Description | Example | | ---------------------------------------------- | -------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ | | `limit` | Specifies the maximum number of query results to return. | `GET /automation_studio/templates?limit=25` | | `skip` | Bypasses a set number of items in a paginated result set. | `GET /automation_studio/templates?skip=5` | | `sort` | Specifies the field name to sort query results by. | `GET /automation_studio/templates?sort=name` | | `order` | Specifies sort order: `1` for ascending, `-1` for descending. | `GET /automation_studio/templates?order=1` | | `equals` / `equalsField` | Use `equals` to specify a value and perform an exact match on the `equalsField`. | `GET /automation_studio/templates?equals=:name&equalsField=name` | | `greaterThanEquals` / `greaterThanEqualsField` | Returns results where the field value is greater than or equal to the specified value. | `GET /workflow_engine/tasks/metrics?greaterThanEquals=:value&greaterThanEqualsField=metrics.startDate` | | `contains` / `containsField` | Checks if the `containsField` contains the specified string value. | `GET /workflow_engine/tasks/metrics?contains=:value&containsField=workflow.name` | | `include` | Specifies the fields to include in query results; comma-delineated list. | `GET /automation-studio/templates?include=name,description` | | `exclude` | Specifies the fields to exclude from query results; comma-delineated list. | `GET /automation-studio/templates?exclude=name,description` | | `in` | Returns results where the field value matches one of the options in a given list. | `GET /automation-studio/templates?in[name]=template1,template2` | | `not-in` | Returns results where the field value does not match any option in a given list. | `GET /automation-studio/templates?not-in[name]=template1,template2` | | `starts-with` | Returns results where the specified field starts with the given string. | `GET /automation-studio/templates?starts-with[name]=template1,template2` | | `ends-with` | Returns results where the specified field ends with the given string. | `GET /automation-studio/templates?ends-with[name]=template1,template2` | > Reference for the query parameters supported in Itential Platform GET requests, including filtering, sorting, pagination, and projection.